# Uses of Class
org.apache.zookeeper.server.quorum.UpgradeableSessionTracker

Packages that use UpgradeableSessionTracker
Package
Description
org.apache.zookeeper.server.quorum

## Uses of UpgradeableSessionTracker in org.apache.zookeeper.server.quorum

Subclasses of UpgradeableSessionTracker in org.apache.zookeeper.server.quorum
Modifier and Type
Class
Description
`class`
`LeaderSessionTracker`
The leader session tracker tracks local and global sessions on the leader.
`class`
`LearnerSessionTracker`
The learner session tracker is used by learners (followers and observers) to track zookeeper sessions which may or may not be echoed to the leader.
Fields in org.apache.zookeeper.server.quorum declared as UpgradeableSessionTracker
Modifier and Type
Field
Description
`protected UpgradeableSessionTracker`
QuorumZooKeeperServer.`upgradeableSessionTracker`